
Foreman - Bug #4729

Importing subnet fails on unknown attribute

03/19/2014 08:25 PM - Ivan Necas

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: DHCP   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

1. configure foreman proxy on dhcp

2. import subnet on the proxy

3. submit

Expected:

subnet created

Current:

Warning!

unknown attribute: 1

Related issues:

Is duplicate of Foreman - Bug #4731: Creating domain when organization select... Closed 03/19/2014

History

#1 - 03/20/2014 08:13 AM - Dominic Cleal

- Category set to DHCP

Any stacktrace in the logs?  Which proxy DHCP provider?

#2 - 03/21/2014 04:11 PM - Ivan Necas

ActiveRecord::UnknownAttributeError

unknown attribute: 1

app/controllers/subnets_controller.rb:74:in `create_multiple'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

 It was dhcpd provider, but I don't think it's related.

One thing I forgot to mention is I was in context of an organization.

With 'any context' it didn't happen.

#3 - 03/31/2014 12:01 PM - Ivan Necas

- Status changed from New to Duplicate

Seems fix for http://projects.theforeman.org/issues/4731 also fixed this one (will repopen, if I hit this again)

#4 - 03/31/2014 12:03 PM - Dominic Cleal

- Is duplicate of Bug #4731: Creating domain when organization selected produces duplicate key error added
